# cwltool.factory

## Exceptions

`WorkflowStatus` | Common base class for all non-exit exceptions.

## Classes

`Callable` | Result of :`Factory.make()`.
`Factory` | Easy way to load a CWL document for execution.

## Module Contents

exception cwltool.factory.WorkflowStatus(out, status)

  Bases: `Exception`

  Common base class for all non-exit exceptions.

  Parameters:

    - out (cwltool.utils.CWLObjectType | None)

    - status (str)

  out
  status

class cwltool.factory.Callable(t, factory)

  Result of :`Factory.make()`.

  Parameters:

    - t (cwltool.process.Process)

    - factory (Factory)

  t
  factory
  __call__(**kwargs)

    Invoke the tool.

    Parameters:

      kwargs (Any)

    Return type:

      str | cwltool.utils.CWLObjectType | None

class cwltool.factory.Factory(executor=None, loading_context=None, runtime_context=None)

  Easy way to load a CWL document for execution.

  Parameters:

    - executor (cwltool.executors.JobExecutor | None)

    - loading_context (cwltool.context.LoadingContext | None)

    - runtime_context (cwltool.context.RuntimeContext | None)

  loading_context: cwltool.context.LoadingContext
  runtime_context: cwltool.context.RuntimeContext
  executor = None
  make(cwl)

    Instantiate a CWL object from a CWl document.

    Parameters:

      cwl (str | dict[str, Any])

    Return type:

      Callable